﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using BL.DTOs;
using DAL.Domain;

namespace BL.Factories
{
    public class PostFactory
    {

        public PostDTO Create(Post p, bool withForum=false)
        {
            var dto = new PostDTO()
            {
                PostId = p.PostId,
                Title = p.Title,
                Author = p.Author,
                Body = p.Body,
                CreationTime = p.CreationTime,
            };

            if (withForum)
            {
                throw new NotImplementedException();
            }

            return dto;
        }
    }
}
