﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using BL.DTOs;

namespace BL.Interfaces
{
    public interface IFoorumService
    {
        IEnumerable<FoorumDTO> GetAll();
        FoorumDTO Get(int id);
        FoorumDTO Add(FoorumDTO foorum);
        FoorumDTO Update(FoorumDTO foorum);
        void Hide(int id);
        void Delete(int id);
        void AddPost(int id, PostDTO post);

        IEnumerable<FoorumDTO> SearchFoorumTitle(string query);
        IEnumerable<FoorumDTO> SearchFoorumAuthor(string query);
        IEnumerable<PostDTO> SearchPostAuthor(string query);

    }
}
